# Show Schema

## OpenAPI Specification

```yaml
openapi: 3.0.1
info:
  title: ''
  description: ''
  version: 1.0.0
paths:
  /v3/{loyalty_club_slug}/member_schema:
    get:
      summary: Show Schema
      deprecated: false
      description: >-
        Properties for members are defined as part of the loyalty club they
        belong to.


        To describe member properties we use [JSON
        Schema](http://json-schema.org/documentation.html) definition.

        Properties of each member must conform to the defined schema.


        We support **JSON schema Draft V4** with format extension for `date`
        (YYYY-MM-DD).


        ## Response Body


        | Key              |
        Description                                                               
        | Type                |

        |------------------|----------------------------------------------------------------------------|---------------------|

        | identifiers      | Fields that are set to identify
        member                                     | string[]       |

        | consents         | Definition of available consents. Versions are now
        `''`.                   | JSON Object         |

        | languages        | Languages set up in loyalty
        club                                           | string[]       |

        | default_language | Default language used in loyalty club and also used
        for mappings to Api v2 | string              |

        | version          | Version of schema, currently the newest is
        `v2`                            | string              |

        | products         | Properties scoping and ordering by product name,
        default one is `default`  | object              |

        | required         | Required properties for
        member                                             | integer (timestamp)
        |

        | properties       | Properties describing
        member                                               |
        object              |


        ## Example


        ```shell

        curl "https://api.mpc.placewise.com/v3/infinity-mall/member_schema" \
          -H 'content-type: application/json' \
          -H 'x-client-authorization: B7t9U9tsoWsGhrv2ouUoSqpM' \
          -H 'x-product-name: default' \
          -H 'x-user-agent: CURL manual test'
        ```


        When successful, returns JSON structured like this:


        ```json

        {
          "$schema": "http://json-schema.org/draft-04/schema#",
          "type": "object",
          "identifiers": ["email"],
          "consents": {
            "consent1": { "version": "", "required": true, "show_in_profile": true, "show_at_registration": true },
            "consent2": { "version": "", "required": true, "show_in_profile": true, "show_at_registration": true }
          },
          "languages": ["en", "no"],
          "default_language": "no",
          "version": "v2",
          "properties": {
            "email": {
              "type": "string",
              "format": "email"
            },
            "first_name": {
              "type": "string"
            },
            "last_name": {
              "type": "string"
            },
            "birthday": {
              "type": "string",
              "format": "date"
            },
            "interests": {
              "type": "array",
              "items": {
                "type": "string",
                "enum": [
                  "bikes_and_cars",
                  "sportwear"
                ]
              }
            }
          },
          "required": [
            "first_name",
            "last_name",
            "birthday"
          ]
        }

        ```
      tags:
        - API Reference/Public API/Loyalty Club/Schema
      parameters:
        - name: loyalty_club_slug
          in: path
          description: ''
          required: true
          example: infinity-mall
          schema:
            type: string
        - name: Content-Type
          in: header
          description: '[Details](doc-341635)'
          required: true
          example: application/json
          schema:
            type: string
            default: application/json
            const: application/json
        - name: X-User-Agent
          in: header
          description: Arbitrary identifier of your client. [Details](doc-341635)
          required: true
          example: '{{X_USER_AGENT}}'
          schema:
            type: string
            default: '{{X_USER_AGENT}}'
        - name: X-Product-Name
          in: header
          description: API Product for API context. [Details](doc-341635)
          required: true
          example: '{{PRODUCT_NAME}}'
          schema:
            type: string
            default: '{{PRODUCT_NAME}}'
        - name: X-Loyalty-Club-Slug
          in: header
          description: LoyaltyClub for API context. [Details](doc-342138)
          required: false
          example: '{{LOYALTY_CLUB_SLUG}}'
          schema:
            type: string
            default: '{{LOYALTY_CLUB_SLUG}}'
        - name: X-Customer
          in: header
          description: Customer for API context.  [Details](doc-342139)
          required: false
          example: '{{CUSTOMER_ID}}'
          schema:
            type: string
            default: '{{CUSTOMER_ID}}'
        - name: Authorization
          in: header
          description: '[Member](doc-342129) or [User](doc-342130) Authorization.'
          required: false
          example: Bearer {{_OAUTH_TOKEN}}
          schema:
            type: string
            default: Bearer {{_OAUTH_TOKEN}}
        - name: X-Client-Authorization
          in: header
          description: '[Token](doc-342128) Authorization.'
          example: '{{API_TOKEN}}'
          schema:
            type: string
            default: '{{API_TOKEN}}'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties: {}
          headers: {}
          x-apidog-name: Success
      security: []
      x-apidog-folder: API Reference/Public API/Loyalty Club/Schema
      x-apidog-status: pending
      x-run-in-apidog: https://app.eu.apidog.com/web/project/346351/apis/api-3510800-run
components:
  schemas: {}
  securitySchemes: {}
servers:
  - url: https://api.mpc.dev.placewise.com
    description: Staging
security: []

```